package com.uiui.zyappstore.adapter;

import android.view.View;

import com.uiui.zyappstore.R;
import com.uiui.zyappstore.view.CornerImageView;
import com.bumptech.glide.Glide;
import com.zhpan.bannerview.holder.ViewHolder;

public class BannerViewHolder implements ViewHolder<String> {
    @Override
    public int getLayoutId() {
        return R.layout.item_net;
    }

    @Override
    public void onBind(View itemView, String path, int position, int size) {
        CornerImageView imageView = itemView.findViewById(R.id.banner_image);
        imageView.setRoundCorner(imageView.getContext().getResources().getDimensionPixelOffset(R.dimen.dp_5));
        Glide.with(imageView).load(path).into(imageView);
    }
}